package com.qmth.qrzk.dao;

import java.util.List;

import com.qmth.qrzk.repository.service.query.QuestionTypeQueryParams;
import com.qmth.qrzk.repository.user.model.CourseQuestionType;
import com.qmth.qrzk.repository.user.model.QuestionType;

public interface IQuestionTypeDao {

	public List<QuestionType> findQuestionName(List<Integer> list);
	
	public List<CourseQuestionType> findCourseQuestionType(int courseId);
	
	public List<QuestionType> queryQuestionTypes(QuestionTypeQueryParams params);
	
	public int queryQuestionTypesCount(QuestionTypeQueryParams params);
	
	public QuestionType selectById(int id);
	
	public List<QuestionType> queryByCourseId(int courseId);
	
	public int deleteLink(int courseId);
	
	public int addCourseQuestionType(List<CourseQuestionType> list); 
	
	public int addCourseLinkQuestionType(CourseQuestionType cq); 
	
	public int addQuestionType(QuestionType questionType);
	
	public int updateQuestionType(QuestionType questionType);
	
	public List<QuestionType> findByName(String name);
	
	public int getCount(CourseQuestionType cq);
}
